## Package org.hibernate.bytecode.buildtime

Interface Summary
Instrumenter: TODO : javadoc
Instrumenter.Options
Logger: Provides an abstraction for how instrumentation does logging because it is usually run in environments (Ant/Maven) with their own logging infrastructure.

Class Summary
AbstractInstrumenter: Provides the basic templating of how instrumentation should occur.
CGLIBInstrumenter: Strategy for performing build-time instrumentation of persistent classes in order to enable field-level interception using CGLIB.
JavassistInstrumenter: Strategy for performing build-time instrumentation of persistent classes in order to enable field-level interception using Javassist.

Exception Summary
ExecutionException: Indicates problem performing the instrumentation execution.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.